Subject: Re: [Hipsec] submission of a newI-D:"Delivering Geographic Location in Host Identity Protocol (HIP)"

From: Suping ZHAI <[email-masked]>
Date: Sat, 25 Oct 2008 15:29:35 +0800

Hi Feng,
See comment inline.
---original message---
From: [email-masked]
Sent: 2008-10-23 10:57:00
Subject:RE: [Hipsec] submission of a newI-D:"Delivering Geographic Location	in Host Identity Protocol (HIP)"

>Hi Suping,
>
>LOCATOR is another option to carrying geo-location. But there are some
>drawbacks for using LOCATOR. For example, there is a need to provide
>geo-location  request, where GEOLOC_REQ is more clear and specific
>(instead of creating new  LOCATOR_REQ only for geo-location).  
>There are also some incompatible fields in LOCATOR, such as the limit of locator
>length and P-bit.
I don't think there are incompatibility issues here. It's so natural to define a new Locator Type to solve the above mentioned problem. E.g if Locator Type = GEOLOC, the following 16bits may be identified as Locator Length field.

Suping

>Additionally,  LOCATOR or location may generate
>confusion for its scope among various users, so geo-location sounds to
>be direct and clear.
>
>We stick to GEOLOC and GEOLOC_REQ for now (and are open to other
>options), unless that HIP WG reaches the consensus.
>
>Thanks,
>
>--Feng
>
>-----Original Message-----
>From: Suping ZHAI [mailto:[email-masked]] 
>Sent: Wednesday, October 22, 2008 7:08 PM
>To: Feng Cao (fcao); [email-masked]
>Subject: Re: [Hipsec] submission of a new I-D:"Delivering Geographic
>Location in Host Identity Protocol (HIP)"
>
>Hi Feng,
>One comment with respect of the parameter geolocation. In the
>location-based services, the location can be identified by the LOCATOR
>which is defined in RFC5206, it can also provide the privacy and
>authentication. So what's the preference of the GEOLOCATION comparing
>with the LOCATOR?
>
>Best Regards,
>Suping
>---original message---
>From: [email-masked]
>Sent: 2008-10-22 10:21:00
>Subject:[Hipsec] submission of a new I-D:"Delivering Geographic Location
>in Host Identity Protocol (HIP)"
>
>>Hi all,
>> 
>>A new I-D, draft-cao-hip-geolocation-00, was just submitted to IETF HIP
>
>>WG. Your comments are always welcome.
>> 
>>Here is the staging URL for now: 
>>http://www3.ietf.org/proceedings/staging/draft-cao-hip-geolocation-00.t
>>x
>>t
>><http://www3.ietf.org/proceedings/staging/draft-cao-hip-geolocation-00.
>>t
>>xt> 
>>
>>Abstract: This document defines a new parameter for delivering 
>>geographic location in Host Identity Protocol (HIP). For mobile users 
>>using HIP, one generic mechanism is proposed to share or update their
>>geo- location information with either rendezvous servers or their
>peers.
>>In addition, geo-location privacy is also protected with the help of 
>>the ENCRYPTED parameter.
>>
>>Thanks,
>>
>>--Feng
>>_______________________________________________
>>Hipsec mailing list
>>[email-masked]
>>https://www.ietf.org/mailman/listinfo/hipsec

_______________________________________________
Hipsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/hipsec